Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.service.impl
Class RoleManagerImpl

    java.lang.Object
      com.gisgraphy.service.impl.UniversalManagerImpl
          com.gisgraphy.service.impl.RoleManagerImpl

All Implemented Interfaces:
  RoleManager, UniversalManager

    public class RoleManagerImpl

extends UniversalManagerImpl
implements RoleManager

Implementation of RoleManager interface.

Author:
  Dan Kibler

Field Summary

Fields inherited from class com.gisgraphy.service.impl.UniversalManagerImpl
`log`

Constructor Summary
`RoleManagerImpl()`

Method Summary
`Role` | `getRole(java.lang.String rolename)`
`java.util.List<Role>` | `getRoles(Role role)`
`void` | `removeRole(java.lang.String rolename)`
`Role` | `saveRole(Role role)`
`void` | `setRoleDao(RoleDao dao)`

Methods inherited from class com.gisgraphy.service.impl.UniversalManagerImpl
`get, getAll, remove, save, setDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gisgraphy.service.UniversalManager
`get, getAll, remove, save`

Constructor Detail

### RoleManagerImpl

    public RoleManagerImpl()

Method Detail

### setRoleDao

    public void setRoleDao(RoleDao dao)

### getRoles

    public java.util.List<Role> getRoles(Role role)

  Specified by:
    `getRoles` in interface `RoleManager`
  Parameters:
    `role` - The roles
  Returns:
    list of role

### getRole

    public Role getRole(java.lang.String rolename)

  Specified by:
    `getRole` in interface `RoleManager`
  Parameters:
    `rolename` - The rolename
  Returns:
    The Role

### saveRole

    public Role saveRole(Role role)

  Specified by:
    `saveRole` in interface `RoleManager`
  Parameters:
    `role` - The role
  Returns:
    The Role

### removeRole

    public void removeRole(java.lang.String rolename)

  Specified by:
    `removeRole` in interface `RoleManager`
  Parameters:
    `rolename` - The name of the role

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.